﻿<template>
  <div class="task-model">
    <p class="task-name default-text-bold">{{ task.text }}</p>
    <p class="task-date default-hint">{{ task.date }}</p>
    <button class="task-done-button default-done-button" @click="doneTask">
      Done
    </button>
  </div>
</template>

<script>
export default {
  name: "task-form",
  props: {
    task: {}
  },
  methods: {
    doneTask() {
      this.$store.commit("tasks/doneTask", this.task);
    }
  }
};
</script>

<style lang="sass">

.task-model
  display: block
  box-shadow: $baseShadow
  border-radius: 9px
  width: 180px
  height: 150px

  .task-name
    padding-top: 16px
    margin-bottom: 0
    padding-left: 10px

  .task-date
    padding-top: 6px
    padding-left: 10px
    margin-bottom: 0

  .task-done-button
    margin-top: 25px
    margin-left: 10px
    bottom: 10px
    height: 52px
    width: 160px
    text-align: center
    box-shadow: $baseShadow
    border: 0
    background: white
    border-radius:  3px

  .task-done-button:click
    background: black
</style>
